# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "bevy_archive"
version = "0.3.0"
authors = ["cts chengts95@msn.cn"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "An experimental ECS world snapshot system built on Bevy, featuring structured archetype storage and manifest-based serialization."
readme = "README.md"
keywords = [
    "ecs",
    "bevy",
    "serialization",
    "snapshot",
]
categories = ["data-structures"]
license = "MPL-2.0"
repository = "https://github.com/chengts95/bevy_archive"

[features]
arrow_rs = [
    "dep:serde_arrow",
    "dep:arrow",
    "dep:parquet",
    "dep:bytes",
    "dep:zip",
    "dep:bytemuck",
]
bevy = []
default = ["bevy"]
flecs = []

[lib]
name = "bevy_archive"
path = "src/lib.rs"

[[example]]
name = "archetype_reduction_example"
path = "examples/archetype_reduction_example.rs"

[[example]]
name = "arrow_archive_example"
path = "examples/arrow_archive_example.rs"
required-features = ["arrow_rs"]

[[example]]
name = "aurora_manifest_example"
path = "examples/aurora_manifest_example.rs"

[[example]]
name = "cross_ecs"
path = "examples/cross_ecs.rs"
required-features = ["flecs"]

[[example]]
name = "entity_snaphot"
path = "examples/entity_snaphot.rs"

[[example]]
name = "hybrid_zip"
path = "examples/hybrid_zip.rs"
required-features = ["arrow_rs"]

[[example]]
name = "id_remap_example"
path = "examples/id_remap_example.rs"

[[example]]
name = "standard_api_example"
path = "examples/standard_api_example.rs"

[dependencies.arrow]
version = "^56.1.0"
optional = true

[dependencies.base64]
version = "0.22.1"

[dependencies.bevy_ecs]
version = "^0.17.0"
features = []
default-features = false

[dependencies.bumpalo]
version = "^3.19.0"

[dependencies.bytemuck]
version = "^1.24.0"
optional = true

[dependencies.bytes]
version = "^1.10.1"
optional = true

[dependencies.csv]
version = "^1.4.0"

[dependencies.parquet]
version = "^56.1.0"
optional = true

[dependencies.rmp-serde]
version = "1.3.1"

[dependencies.serde]
version = ">=1.0"
features = ["derive"]

[dependencies.serde_arrow]
version = "^0.13.6"
features = ["arrow-56"]
optional = true

[dependencies.serde_bytes]
version = "^0.11.19"

[dependencies.serde_json]
version = ">=1.0"

[dependencies.thiserror]
version = "^2.0.16"

[dependencies.toml]
version = "^0.9.11"

[dependencies.zip]
version = "^7.1.0"
optional = true
